Simple Sokoban(6)

NAME
simplesok - Simple Sokoban

SYNOPSIS
simplesok [OPTION]... [FILE]

DESCRIPTION

Simple Sokoban is a (simple) Sokoban game aimed at playability and portability across systems. It is written in ANSI C89, using the SDL library for user interactions.

  Features:

o   nicely animated movements

o   unlimited level solutions

o   unlimited undos

o   3 embedded level sets

o   support for external *.xsb levels, possibly RLE compressed

o   support for levels of size up to 62x62

o   copying levels to clipboard

o   save/load

o   skins support

  Loading external level files
Simple Sokoban can load levels from external *.xsb files. There are two ways to load such file: either pass it as a parameter on command line, or drop the file to the Simple Sokoban application window. Note, that the second method will work only if your windowing system supports it.

Simple Sokoban is also able to load gzipped xsb files.

  Command line parameters
Simple Sokoban accepts some command line parameters. If a parameter is not part of the known list of parameters, then Simple Sokoban assumes it is the path to a XSB level file.

--framedelay=X
    Adjusts the delay between rendered frames to X µs. Use it if you'd like to make Simple Sokoban slower/faster. The default value is 10500. This value must be in the range 0..64000.

--framefreq=X
    Adjusts the frequency at which frames should be displayed. The default value is 15000, which means 'every 15000 µs'. This value must be in the range 1..1000000.

--skin=file.bmp.gz
    Makes Simple Sokoban use a custom skin.

  Skins support
Simple Sokoban can use custom skins. It is distributed with a default skin, but one can load a different one through the --skin command line parameter.

SimpleSok tries to load the user-specified --skin file if provided, then it tries to load /usr/share/simplesok/skin.bmp.gz. If these fail, then it falls back to a (somewhat crude) embedded skin.

  Key bindings
Simple Sokoban is though to react to keyboard keys that are well-known and seem intuitive. However, for the sake of documentation, the list of keys one can use is presented below:
    Key |  | Action
    F1 | - | display help |
    F2 | - | turn on/off graphical elements |
    F3 | - | dump the level to clipboard |
    F5/F7 | - | save/load game state |
    Backspace | - | undo last move |
    R | - | restart the ongoing level |
    S | - | play the solution (if available) |
    CTRL+C | - | copy current level state to clipboard |
    CTRL+V | - | paste moves from clipboard |
    CTRL+UP/CTRL+DOWN | - | zoom in/out |
    F11 or ALT+ENTER | - | fullscreen on/off |

COPYRIGHT

Copyright © Mateusz Viste 2014-2023.

CREDITS

Simple Sokoban has been written by Mateusz Viste. However, the project would not have been possible without the valuable work of other people:

o   Hiroyuki Imabayashi - The original creator of the Sokoban game

o   Gerry Wiseman - Created graphical elements adapted by Simple Sokoban

o   David W. Skinner - Designed the level sets embedded in Simple Sokoban

o   Borgar Thorsteinsson - Default embedded skin ("Yoshi")

AUTHOR

Manpage written by Friedhelm Mehnert.